{% load i18n %}

<ol class="breadcrumb">
        <li>{% trans '公司管理' %}</li>
        <li>{% trans '人员与经销商' %}</li>     
</ol>

<div class="title_right">
    <div class="pull-right">
        <span class='input-group'>
            <a type="button" class='btn btn-obj-add l-a create-btn'  href='/company/edit/user_with_agents/'>
                <span class='glyphicon glyphicon-plus' style='padding-right:5px;'></span>{% trans '新建' %}
            </a>
        </span>
    </div>
</div>

<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="x_panel">
        <div  class="table-responsive">

            <table id='tb'  class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
            <thead>
                {% for c in clmns %}
                    <th>{{c}}</th>
                {% endfor %}
            </thead>
            <tbody></tbody>
            <tfoot>
                {% for c in clmns %}
                    <th><input type="text" placeholder="{{c}}"></th>            
                {% endfor %}            
            </tfoot>
            </table>
        </div>
    </div>
</div>


<script type="text/javascript">
    $(document).ready(function(){    

        var table=$('#tb').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],   
            language:lng,          
            data:{{data|safe}}
        });     
        
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });      
       
		$(".btn-obj-add").click(function () { 
			event.preventDefault();
			$.RefreshContent($(this).attr('href'));        
		})

        $('#tb').on("click","td a",function(event){
			console.log('a')
            event.preventDefault(); 
            $.RefreshContent($(this).attr('href'));            
        });     
    });
</script>
